<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="csd_pt_testservant"
	ProjectGUID="{460CBE75-FECA-1BAD-83F7-A7377BD12BC9}"
	RootNamespace="csd_pt_testservant"
	Keyword="Win32Proj"
	SignManifests="true"
	>
	<Platforms>
		<Platform
			Name="Pocket PC 2003 (ARMV4)"
		/>
		<Platform
			Name="Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Pocket PC 2003 (ARMV4)"
			OutputDirectory="..\..\..\..\lib\PocketPC2003_ARMV4"
			IntermediateDirectory="Debug\csd_pt_testservant_WinCE\PocketPC2003_ARMV4"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\performance-tests\CSD_Strategy,$(TAO_ROOT)\tao"
				PreprocessorDefinitions="CSD_PT_TESTSERVANT_BUILD_DLL;_DEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;$(ARCHFAM);$(_ARCHFAM_);UNDER_CE=$(CEVER);_WIN32_WCE=$(CEVER);WINCE;$(PLATFORMDEFINES);_WINDOWS;_UNICODE;UNICODE;POCKETPC2003_UI_MODEL"
				MinimalRebuild="false"
				ExceptionHandling="2"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\performance-tests\CSD_Strategy,$(TAO_ROOT)\tao"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/subsystem:windowsce,4.20 /machine:ARM /ARMPADCODE"
				AdditionalDependencies="ACEd.lib TAOd.lib TAO_AnyTypeCoded.lib TAO_PortableServerd.lib TAO_CodecFactoryd.lib TAO_PId.lib TAO_CSD_Frameworkd.lib TAO_CSD_ThreadPoold.lib CSD_PT_TestInfd.lib ccrtrtti.lib"
				OutputFile="$(OutDir)\CSD_PT_TestServantd.dll"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="0"
				ImportLibrary="..\..\..\..\lib\CSD_PT_TestServantd.lib"
				TargetMachine="3"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Pocket PC 2003 (ARMV4)"
			OutputDirectory="..\..\..\..\lib\PocketPC2003_ARMV4"
			IntermediateDirectory="Release\csd_pt_testservant_WinCE\PocketPC2003_ARMV4"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				AdditionalIncludeDirectories="..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\performance-tests\CSD_Strategy,$(TAO_ROOT)\tao"
				PreprocessorDefinitions="CSD_PT_TESTSERVANT_BUILD_DLL;NDEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;$(ARCHFAM);$(_ARCHFAM_);UNDER_CE=$(CEVER);_WIN32_WCE=$(CEVER);WINCE;$(PLATFORMDEFINES);_WINDOWS;_UNICODE;UNICODE;POCKETPC2003_UI_MODEL"
				ExceptionHandling="2"
				RuntimeLibrary="2"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\performance-tests\CSD_Strategy,$(TAO_ROOT)\tao"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/subsystem:windowsce,4.20 /machine:ARM /ARMPADCODE"
				AdditionalDependencies="ACE.lib TAO.lib TAO_AnyTypeCode.lib TAO_PortableServer.lib TAO_CodecFactory.lib TAO_PI.lib TAO_CSD_Framework.lib TAO_CSD_ThreadPool.lib CSD_PT_TestInf.lib ccrtrtti.lib"
				OutputFile="$(OutDir)\CSD_PT_TestServant.dll"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="0"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="..\..\..\..\lib\CSD_PT_TestServant.lib"
				TargetMachine="3"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
			OutputDirectory="..\..\..\..\lib\WinMobile50_PocketPC_ARMV4I"
			IntermediateDirectory="Debug\csd_pt_testservant_WinCE\WinMobile50_PocketPC_ARMV4I"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\performance-tests\CSD_Strategy,$(TAO_ROOT)\tao"
				PreprocessorDefinitions="CSD_PT_TESTSERVANT_BUILD_DLL;_DEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;$(ARCHFAM);$(_ARCHFAM_);UNDER_CE=$(CEVER);_WIN32_WCE=$(CEVER);WINCE;$(PLATFORMDEFINES);_WINDOWS;_UNICODE;UNICODE;POCKETPC2003_UI_MODEL"
				MinimalRebuild="false"
				ExceptionHandling="2"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\performance-tests\CSD_Strategy,$(TAO_ROOT)\tao"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/subsystem:windowsce,5.01 /machine:THUMB"
				AdditionalDependencies="ACEd.lib TAOd.lib TAO_AnyTypeCoded.lib TAO_PortableServerd.lib TAO_CodecFactoryd.lib TAO_PId.lib TAO_CSD_Frameworkd.lib TAO_CSD_ThreadPoold.lib CSD_PT_TestInfd.lib"
				OutputFile="$(OutDir)\CSD_PT_TestServantd.dll"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="0"
				ImportLibrary="..\..\..\..\lib\CSD_PT_TestServantd.lib"
				TargetMachine="3"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
			OutputDirectory="..\..\..\..\lib\WinMobile50_PocketPC_ARMV4I"
			IntermediateDirectory="Release\csd_pt_testservant_WinCE\WinMobile50_PocketPC_ARMV4I"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				AdditionalIncludeDirectories="..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\performance-tests\CSD_Strategy,$(TAO_ROOT)\tao"
				PreprocessorDefinitions="CSD_PT_TESTSERVANT_BUILD_DLL;NDEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;$(ARCHFAM);$(_ARCHFAM_);UNDER_CE=$(CEVER);_WIN32_WCE=$(CEVER);WINCE;$(PLATFORMDEFINES);_WINDOWS;_UNICODE;UNICODE;POCKETPC2003_UI_MODEL"
				ExceptionHandling="2"
				RuntimeLibrary="2"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..\..,$(TAO_ROOT),$(TAO_ROOT)\performance-tests\CSD_Strategy,$(TAO_ROOT)\tao"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/subsystem:windowsce,5.01 /machine:THUMB"
				AdditionalDependencies="ACE.lib TAO.lib TAO_AnyTypeCode.lib TAO_PortableServer.lib TAO_CodecFactory.lib TAO_PI.lib TAO_CSD_Framework.lib TAO_CSD_ThreadPool.lib CSD_PT_TestInf.lib"
				OutputFile="$(OutDir)\CSD_PT_TestServant.dll"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="0"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="..\..\..\..\lib\CSD_PT_TestServant.lib"
				TargetMachine="3"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="Foo_ClientEngine.cpp">
			</File>
			<File
				RelativePath="Foo_i.cpp">
			</File>
			<File
				RelativePath="Foo_Statistics.cpp">
			</File>
			<File
				RelativePath="FooC.cpp">
			</File>
			<File
				RelativePath="FooS.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="Foo_ClientEngine.h">
			</File>
			<File
				RelativePath="Foo_i.h">
			</File>
			<File
				RelativePath="Foo_Statistics.h">
			</File>
			<File
				RelativePath="FooC.h">
			</File>
			<File
				RelativePath="FooS.h">
			</File>
			<File
				RelativePath="FooS_T.h">
			</File>
		</Filter>
		<Filter
			Name="Idl Files"
			Filter="idl">
			<File
				RelativePath="Foo.idl">
				<FileConfiguration
					Name="Debug|Pocket PC 2003 (ARMV4)"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\..\bin\tao_idl on Foo.idl"
						CommandLine="PATH=%PATH%;..\..\..\..\lib&#x0D;&#x0A;..\..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/performance-tests/CSD_Strategy -Wb,export_macro=CSD_PT_TestServant_Export -Wb,export_include=CSD_PT_TestServant_Export.h &quot;Foo.idl&quot;"
						AdditionalDependencies="..\..\..\..\bin\tao_idl.exe"
						Outputs="FooC.cpp;FooC.h;FooC.inl;FooS.cpp;FooS.h;FooS.inl;FooS_T.cpp;FooS_T.h;FooS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Pocket PC 2003 (ARMV4)"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\..\bin\tao_idl on Foo.idl"
						CommandLine="PATH=%PATH%;..\..\..\..\lib&#x0D;&#x0A;..\..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/performance-tests/CSD_Strategy -Wb,export_macro=CSD_PT_TestServant_Export -Wb,export_include=CSD_PT_TestServant_Export.h &quot;Foo.idl&quot;"
						AdditionalDependencies="..\..\..\..\bin\tao_idl.exe"
						Outputs="FooC.cpp;FooC.h;FooC.inl;FooS.cpp;FooS.h;FooS.inl;FooS_T.cpp;FooS_T.h;FooS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\..\bin\tao_idl on Foo.idl"
						CommandLine="PATH=%PATH%;..\..\..\..\lib&#x0D;&#x0A;..\..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/performance-tests/CSD_Strategy -Wb,export_macro=CSD_PT_TestServant_Export -Wb,export_include=CSD_PT_TestServant_Export.h &quot;Foo.idl&quot;"
						AdditionalDependencies="..\..\..\..\bin\tao_idl.exe"
						Outputs="FooC.cpp;FooC.h;FooC.inl;FooS.cpp;FooS.h;FooS.inl;FooS_T.cpp;FooS_T.h;FooS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\..\bin\tao_idl on Foo.idl"
						CommandLine="PATH=%PATH%;..\..\..\..\lib&#x0D;&#x0A;..\..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/performance-tests/CSD_Strategy -Wb,export_macro=CSD_PT_TestServant_Export -Wb,export_include=CSD_PT_TestServant_Export.h &quot;Foo.idl&quot;"
						AdditionalDependencies="..\..\..\..\bin\tao_idl.exe"
						Outputs="FooC.cpp;FooC.h;FooC.inl;FooS.cpp;FooS.h;FooS.inl;FooS_T.cpp;FooS_T.h;FooS_T.inl"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<File
				RelativePath="FooC.inl">
			</File>
			<File
				RelativePath="FooS_T.inl">
			</File>
		</Filter>
		<Filter
			Name="Template Files"
			Filter="">
			<File
				RelativePath="FooS_T.cpp">
				<FileConfiguration
					Name="Debug|Pocket PC 2003 (ARMV4)"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Pocket PC 2003 (ARMV4)"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Documentation"
			Filter="">
			<File
				RelativePath="README">
				<FileConfiguration
					Name="Debug|Pocket PC 2003 (ARMV4)"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Pocket PC 2003 (ARMV4)"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
